package cn.estsh.i3plus.pojo.model.softswitch;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @Description :
 * @Reference :
 * @Author : wei.peng
 * @CreateDate : 19-9-5 下午7:30
 * @Modify:
 **/
@Data
@XStreamAlias("server")
public class SuitServerModel {

    // 执行方法命令
    @ApiParam(value = "适配命令(枚举)")
    private Integer actionId;
    /* 认证使用 以后使用 */
    private String token;
    // 传输单对象
    private Object obj;
    // 传输集合
    private List list;
    // 传输键值对
    private Map<String,Object> map;
    // 传输 JSON 数据
    private String json;

    /**
     * 适配结果信息
     */
    private String suitMessage;
    /**
     * 适配状态码
     */
    private String suitCaseStatusCode;

}
