package cn.estsh.i3plus.pojo.mes.model;


import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Author: wangjie
 * @CreateDate: 2019/8/21 9:19 AM
 * @Description:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("mes生产工单页面按钮控制model")
public class MesWorkOrderButtonModel implements Serializable {

    @ApiParam("修改按钮")
    private boolean updateButton;

    @ApiParam("按配置修改按钮")
    private boolean updateButton4Config;

    @ApiParam("下达按钮")
    private boolean transmitButton;

    @ApiParam("测试动态下达按钮")
    private boolean dynamicTransmitButton4Test;

    @ApiParam("启动按钮")
    private boolean startUpButton;

    @ApiParam("暂停按钮")
    private boolean suspendButton;

    @ApiParam("撤销按钮")
    private boolean revokeButton;

    @ApiParam("关闭按钮")
    private boolean closeButton;


}
